# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.api.metadata_api import MetadataApi


class TestMetadataApi(unittest.TestCase):
    """MetadataApi unit test stubs"""

    def setUp(self) -> None:
        self.api = MetadataApi()

    def tearDown(self) -> None:
        pass

    def test_create_metadata_metadata_post(self) -> None:
        """Test case for create_metadata_metadata_post

        Create Metadata
        """
        pass

    def test_delete_metadata_metadata_delete(self) -> None:
        """Test case for delete_metadata_metadata_delete

        Delete Metadata
        """
        pass

    def test_list_metadata_metadata_get(self) -> None:
        """Test case for list_metadata_metadata_get

        List Metadata
        """
        pass

    def test_update_metadata_metadata_id_patch(self) -> None:
        """Test case for update_metadata_metadata_id_patch

        Update Metadata
        """
        pass


if __name__ == '__main__':
    unittest.main()
